import type { ContactListings } from './ContactListings';
import type { Favorite } from './Favorite';
import type { Location } from './Location';
import type { Media } from './Media';
import type { Member } from './Member';
import type { Office } from './Office';
import type { OpenHouse } from './OpenHouse';
import type { OUID } from './OUID';
import type { PropertyGreenVerification } from './PropertyGreenVerification';
import type { PropertyPowerProduction } from './PropertyPowerProduction';
import type { PropertyRooms } from './PropertyRooms';
import type { PropertyUnitTypes } from './PropertyUnitTypes';
import type { Share } from './Share';
import type { Showing } from './Showing';
import type { Teams } from './Teams';
import type { Transaction } from './Transaction';
export declare type Property = {
    id?: number;
    Location?: Location;
    ListingKey?: string;
    AdditionalParcelsYN?: boolean;
    AssociationYN?: boolean;
    AttachedGarageYN?: boolean;
    BasementYN?: boolean;
    CarportYN?: boolean;
    CoolingYN?: boolean;
    CropsIncludedYN?: boolean;
    DualVariableCompensationYN?: boolean;
    ElectricOnPropertyYN?: boolean;
    FarmCreditServiceInclYN?: boolean;
    FireplaceYN?: boolean;
    GarageYN?: boolean;
    GrazingPermitsBlmYN?: boolean;
    GrazingPermitsForestServiceYN?: boolean;
    GrazingPermitsPrivateYN?: boolean;
    HabitableResidenceYN?: boolean;
    HeatingYN?: boolean;
    HomeWarrantyYN?: boolean;
    HorseYN?: boolean;
    InternetAddressDisplayYN?: boolean;
    InternetAutomatedValuationDisplayYN?: boolean;
    InternetConsumerCommentYN?: boolean;
    InternetEntireListingDisplayYN?: boolean;
    IrrigationWaterRightsYN?: boolean;
    LandLeaseYN?: boolean;
    LeaseAssignableYN?: boolean;
    LeaseConsideredYN?: boolean;
    LeaseRenewalOptionYN?: boolean;
    MobileHomeRemainsYN?: boolean;
    NewConstructionYN?: boolean;
    OpenParkingYN?: boolean;
    PoolPrivateYN?: boolean;
    PropertyAttachedYN?: boolean;
    RentControlYN?: boolean;
    SeniorCommunityYN?: boolean;
    ShowingAttendedYN?: boolean;
    SignOnPropertyYN?: boolean;
    SpaYN?: boolean;
    ViewYN?: boolean;
    WaterfrontYN?: boolean;
    AvailabilityDate?: string;
    CancellationDate?: string;
    CloseDate?: string;
    ContingentDate?: string;
    ContractStatusChangeDate?: string;
    ExpirationDate?: string;
    LandLeaseExpirationDate?: string;
    LeaseExpiration?: string;
    ListingContractDate?: string;
    OffMarketDate?: string;
    OnMarketDate?: string;
    PurchaseContractDate?: string;
    WithdrawnDate?: string;
    AboveGradeFinishedArea?: number;
    AssociationFee?: number;
    AssociationFee2?: number;
    BathroomsFull?: number;
    BathroomsHalf?: number;
    BathroomsOneQuarter?: number;
    BathroomsPartial?: number;
    BathroomsThreeQuarter?: number;
    BathroomsTotalInteger?: number;
    BedroomsPossible?: number;
    BedroomsTotal?: number;
    BelowGradeFinishedArea?: number;
    BuildingAreaTotal?: number;
    BuyerAgentKeyNumeric?: number;
    BuyerOfficeKeyNumeric?: number;
    BuyerTeamKeyNumeric?: number;
    CableTvExpense?: number;
    CapRate?: number;
    CarportSpaces?: number;
    ClosePrice?: number;
    CoBuyerAgentKeyNumeric?: number;
    CoBuyerOfficeKeyNumeric?: number;
    CoListAgentKeyNumeric?: number;
    CoListOfficeKeyNumeric?: number;
    ConcessionsAmount?: number;
    CoveredSpaces?: number;
    CultivatedArea?: number;
    CumulativeDaysOnMarket?: number;
    DaysOnMarket?: number;
    DistanceToBusNumeric?: number;
    DistanceToElectricNumeric?: number;
    DistanceToFreewayNumeric?: number;
    DistanceToGasNumeric?: number;
    DistanceToPhoneServiceNumeric?: number;
    DistanceToPlaceofWorshipNumeric?: number;
    DistanceToSchoolBusNumeric?: number;
    DistanceToSchoolsNumeric?: number;
    DistanceToSewerNumeric?: number;
    DistanceToShoppingNumeric?: number;
    DistanceToStreetNumeric?: number;
    DistanceToWaterNumeric?: number;
    DocumentsCount?: number;
    ElectricExpense?: number;
    Elevation?: number;
    EntryLevel?: number;
    FireplacesTotal?: number;
    FoundationArea?: number;
    FuelExpense?: number;
    FurnitureReplacementExpense?: number;
    GarageSpaces?: number;
    GardenerExpense?: number;
    GrossIncome?: number;
    GrossScheduledIncome?: number;
    InsuranceExpense?: number;
    IrrigationWaterRightsAcres?: number;
    LandLeaseAmount?: number;
    Latitude?: number;
    LeasableArea?: number;
    LeaseAmount?: number;
    LicensesExpense?: number;
    ListAgentKeyNumeric?: number;
    ListOfficeKeyNumeric?: number;
    ListPrice?: number;
    ListPriceLow?: number;
    ListTeamKeyNumeric?: number;
    ListingKeyNumeric?: number;
    LivingArea?: number;
    Longitude?: number;
    LotSizeAcres?: number;
    LotSizeArea?: number;
    LotSizeSquareFeet?: number;
    MainLevelBathrooms?: number;
    MainLevelBedrooms?: number;
    MaintenanceExpense?: number;
    ManagerExpense?: number;
    MobileLength?: number;
    MobileWidth?: number;
    NetOperatingIncome?: number;
    NewTaxesExpense?: number;
    NumberOfBuildings?: number;
    NumberOfFullTimeEmployees?: number;
    NumberOfLots?: number;
    NumberOfPads?: number;
    NumberOfPartTimeEmployees?: number;
    NumberOfSeparateElectricMeters?: number;
    NumberOfSeparateGasMeters?: number;
    NumberOfSeparateWaterMeters?: number;
    NumberOfUnitsInCommunity?: number;
    NumberOfUnitsLeased?: number;
    NumberOfUnitsMoMo?: number;
    NumberOfUnitsTotal?: number;
    NumberOfUnitsVacant?: number;
    OpenParkingSpaces?: number;
    OperatingExpense?: number;
    OriginalListPrice?: number;
    OtherExpense?: number;
    ParkingTotal?: number;
    PastureArea?: number;
    PestControlExpense?: number;
    PhotosCount?: number;
    PoolExpense?: number;
    PreviousListPrice?: number;
    ProfessionalManagementExpense?: number;
    RangeArea?: number;
    RoomsTotal?: number;
    SeatingCapacity?: number;
    ShowingAdvanceNotice?: number;
    Stories?: number;
    StoriesTotal?: number;
    StreetNumberNumeric?: number;
    SuppliesExpense?: number;
    TaxAnnualAmount?: number;
    TaxAssessedValue?: number;
    TaxOtherAnnualAssessmentAmount?: number;
    TaxYear?: number;
    TotalActualRent?: number;
    TrashExpense?: number;
    VacancyAllowance?: number;
    VacancyAllowanceRate?: number;
    VideosCount?: number;
    WalkScore?: number;
    WaterSewerExpense?: number;
    WoodedArea?: number;
    WorkmansCompensationExpense?: number;
    YearBuilt?: number;
    YearBuiltEffective?: number;
    YearEstablished?: number;
    YearsCurrentOwner?: number;
    AccessCode?: string;
    AdditionalParcelsDescription?: string;
    AnchorsCoTenants?: string;
    AssociationName?: string;
    AssociationName2?: string;
    AssociationPhone?: string;
    AssociationPhone2?: string;
    BuilderModel?: string;
    BuilderName?: string;
    BuildingName?: string;
    BusinessName?: string;
    BuyerAgencyCompensation?: string;
    BuyerAgentDirectPhone?: string;
    BuyerAgentEmail?: string;
    BuyerAgentFax?: string;
    BuyerAgentFirstName?: string;
    BuyerAgentFullName?: string;
    BuyerAgentHomePhone?: string;
    BuyerAgentKey?: string;
    BuyerAgentLastName?: string;
    BuyerAgentMiddleName?: string;
    BuyerAgentMlsId?: string;
    BuyerAgentMobilePhone?: string;
    BuyerAgentNamePrefix?: string;
    BuyerAgentNameSuffix?: string;
    BuyerAgentOfficePhone?: string;
    BuyerAgentOfficePhoneExt?: string;
    BuyerAgentPager?: string;
    BuyerAgentPreferredPhone?: string;
    BuyerAgentPreferredPhoneExt?: string;
    BuyerAgentStateLicense?: string;
    BuyerAgentTollFreePhone?: string;
    BuyerAgentURL?: string;
    BuyerAgentVoiceMail?: string;
    BuyerAgentVoiceMailExt?: string;
    BuyerOfficeEmail?: string;
    BuyerOfficeFax?: string;
    BuyerOfficeKey?: string;
    BuyerOfficeMlsId?: string;
    BuyerOfficeName?: string;
    BuyerOfficePhone?: string;
    BuyerOfficePhoneExt?: string;
    BuyerOfficeURL?: string;
    BuyerTeamKey?: string;
    BuyerTeamName?: string;
    CarrierRoute?: string;
    CityRegion?: string;
    CoBuyerAgentDirectPhone?: string;
    CoBuyerAgentEmail?: string;
    CoBuyerAgentFax?: string;
    CoBuyerAgentFirstName?: string;
    CoBuyerAgentFullName?: string;
    CoBuyerAgentHomePhone?: string;
    CoBuyerAgentKey?: string;
    CoBuyerAgentLastName?: string;
    CoBuyerAgentMiddleName?: string;
    CoBuyerAgentMlsId?: string;
    CoBuyerAgentMobilePhone?: string;
    CoBuyerAgentNamePrefix?: string;
    CoBuyerAgentNameSuffix?: string;
    CoBuyerAgentOfficePhone?: string;
    CoBuyerAgentOfficePhoneExt?: string;
    CoBuyerAgentPager?: string;
    CoBuyerAgentPreferredPhone?: string;
    CoBuyerAgentPreferredPhoneExt?: string;
    CoBuyerAgentStateLicense?: string;
    CoBuyerAgentTollFreePhone?: string;
    CoBuyerAgentURL?: string;
    CoBuyerAgentVoiceMail?: string;
    CoBuyerAgentVoiceMailExt?: string;
    CoBuyerOfficeEmail?: string;
    CoBuyerOfficeFax?: string;
    CoBuyerOfficeKey?: string;
    CoBuyerOfficeMlsId?: string;
    CoBuyerOfficeName?: string;
    CoBuyerOfficePhone?: string;
    CoBuyerOfficePhoneExt?: string;
    CoBuyerOfficeURL?: string;
    CoListAgentDirectPhone?: string;
    CoListAgentEmail?: string;
    CoListAgentFax?: string;
    CoListAgentFirstName?: string;
    CoListAgentFullName?: string;
    CoListAgentHomePhone?: string;
    CoListAgentKey?: string;
    CoListAgentLastName?: string;
    CoListAgentMiddleName?: string;
    CoListAgentMlsId?: string;
    CoListAgentMobilePhone?: string;
    CoListAgentNamePrefix?: string;
    CoListAgentNameSuffix?: string;
    CoListAgentOfficePhone?: string;
    CoListAgentOfficePhoneExt?: string;
    CoListAgentPager?: string;
    CoListAgentPreferredPhone?: string;
    CoListAgentPreferredPhoneExt?: string;
    CoListAgentStateLicense?: string;
    CoListAgentTollFreePhone?: string;
    CoListAgentURL?: string;
    CoListAgentVoiceMail?: string;
    CoListAgentVoiceMailExt?: string;
    CoListOfficeEmail?: string;
    CoListOfficeFax?: string;
    CoListOfficeKey?: string;
    CoListOfficeMlsId?: string;
    CoListOfficeName?: string;
    CoListOfficePhone?: string;
    CoListOfficePhoneExt?: string;
    CoListOfficeURL?: string;
    ConcessionsComments?: string;
    ContinentRegion?: string;
    Contingency?: string;
    CopyrightNotice?: string;
    CountryRegion?: string;
    CrossStreet?: string;
    DOH1?: string;
    DOH2?: string;
    DOH3?: string;
    Directions?: string;
    Disclaimer?: string;
    DistanceToBusComments?: string;
    DistanceToElectricComments?: string;
    DistanceToFreewayComments?: string;
    DistanceToGasComments?: string;
    DistanceToPhoneServiceComments?: string;
    DistanceToPlaceofWorshipComments?: string;
    DistanceToSchoolBusComments?: string;
    DistanceToSchoolsComments?: string;
    DistanceToSewerComments?: string;
    DistanceToShoppingComments?: string;
    DistanceToStreetComments?: string;
    DistanceToWaterComments?: string;
    EntryLocation?: string;
    Exclusions?: string;
    FrontageLength?: string;
    HoursDaysOfOperationDescription?: string;
    Inclusions?: string;
    License1?: string;
    License2?: string;
    License3?: string;
    ListAgentDirectPhone?: string;
    ListAgentEmail?: string;
    ListAgentFax?: string;
    ListAgentFirstName?: string;
    ListAgentFullName?: string;
    ListAgentHomePhone?: string;
    ListAgentKey?: string;
    ListAgentLastName?: string;
    ListAgentMiddleName?: string;
    ListAgentMlsId?: string;
    ListAgentMobilePhone?: string;
    ListAgentNamePrefix?: string;
    ListAgentNameSuffix?: string;
    ListAgentOfficePhone?: string;
    ListAgentOfficePhoneExt?: string;
    ListAgentPager?: string;
    ListAgentPreferredPhone?: string;
    ListAgentPreferredPhoneExt?: string;
    ListAgentStateLicense?: string;
    ListAgentTollFreePhone?: string;
    ListAgentURL?: string;
    ListAgentVoiceMail?: string;
    ListAgentVoiceMailExt?: string;
    ListOfficeEmail?: string;
    ListOfficeFax?: string;
    ListOfficeKey?: string;
    ListOfficeMlsId?: string;
    ListOfficeName?: string;
    ListOfficePhone?: string;
    ListOfficePhoneExt?: string;
    ListOfficeURL?: string;
    ListTeamKey?: string;
    ListTeamName?: string;
    ListingId?: string;
    LockBoxLocation?: string;
    LockBoxSerialNumber?: string;
    LotSizeDimensions?: string;
    Make?: string;
    MapCoordinate?: string;
    MapCoordinateSource?: string;
    MapURL?: string;
    Model?: string;
    OccupantName?: string;
    OccupantPhone?: string;
    OriginatingSystemID?: string;
    OriginatingSystemKey?: string;
    OriginatingSystemName?: string;
    OtherParking?: string;
    OwnerName?: string;
    OwnerPhone?: string;
    Ownership?: Array<string>;
    ParcelNumber?: string;
    ParkManagerName?: string;
    ParkManagerPhone?: string;
    ParkName?: string;
    PostalCode?: string;
    PostalCodePlus4?: string;
    PrivateOfficeRemarks?: string;
    PrivateRemarks?: string;
    PublicRemarks?: string;
    PublicSurveyRange?: string;
    PublicSurveySection?: string;
    PublicSurveyTownship?: string;
    RVParkingDimensions?: string;
    SerialU?: string;
    SerialX?: string;
    SerialXX?: string;
    ShowingContactName?: string;
    ShowingContactPhone?: string;
    ShowingContactPhoneExt?: string;
    ShowingInstructions?: string;
    SourceSystemID?: string;
    SourceSystemKey?: string;
    SourceSystemName?: string;
    StateRegion?: string;
    StreetAdditionalInfo?: string;
    StreetName?: string;
    StreetNumber?: string;
    StreetSuffixModifier?: string;
    SubAgencyCompensation?: string;
    SubdivisionName?: string;
    SyndicationRemarks?: string;
    TaxBlock?: string;
    TaxBookNumber?: string;
    TaxLegalDescription?: string;
    TaxLot?: string;
    TaxMapNumber?: string;
    TaxParcelLetter?: string;
    TaxTract?: string;
    Topography?: string;
    Township?: string;
    TransactionBrokerCompensation?: string;
    UnitNumber?: string;
    UniversalPropertyId?: string;
    UniversalPropertySubId?: string;
    UnparsedAddress?: string;
    VirtualTourURLBranded?: string;
    VirtualTourURLUnbranded?: string;
    WaterBodyName?: string;
    YearBuiltDetails?: string;
    Zoning?: string;
    ZoningDescription?: string;
    Appliances?: Array<string>;
    AccessibilityFeatures?: Array<string>;
    ArchitecturalStyle?: Array<string>;
    AssociationAmenities?: string;
    AssociationFeeIncludes?: string;
    Basement?: string;
    BodyType?: string;
    BuildingFeatures?: Array<string>;
    BusinessType?: Array<string>;
    BuyerAgentDesignation?: Array<string>;
    BuyerFinancing?: Array<string>;
    CoBuyerAgentDesignation?: Array<string>;
    CoListAgentDesignation?: Array<string>;
    CommonWalls?: Array<string>;
    CommunityFeatures?: Array<string>;
    ConstructionMaterials?: Array<string>;
    Cooling?: Array<string>;
    CurrentFinancing?: Array<string>;
    CurrentUse?: Array<string>;
    DevelopmentStatus?: Array<string>;
    Disclosures?: Array<string>;
    DocumentsAvailable?: Array<string>;
    DoorFeatures?: Array<string>;
    Electric?: Array<string>;
    ExistingLeaseType?: Array<string>;
    ExteriorFeatures?: Array<string>;
    Fencing?: Array<string>;
    FinancialDataSource?: Array<string>;
    FireplaceFeatures?: Array<string>;
    Flooring?: Array<string>;
    FoundationDetails?: Array<string>;
    FrontageType?: Array<string>;
    GreenBuildingVerificationType?: Array<string>;
    GreenEnergyEfficient?: Array<string>;
    GreenEnergyGeneration?: Array<string>;
    GreenIndoorAirQuality?: Array<string>;
    GreenLocation?: Array<string>;
    GreenSustainability?: Array<string>;
    GreenWaterConservation?: Array<string>;
    Heating?: Array<string>;
    HorseAmenities?: Array<string>;
    HoursDaysOfOperation?: Array<string>;
    IncomeIncludes?: Array<string>;
    InteriorFeatures?: Array<string>;
    IrrigationSource?: Array<string>;
    LaborInformation?: Array<string>;
    LaundryFeatures?: Array<string>;
    LeaseRenewalCompensation?: Array<string>;
    Levels?: Array<string>;
    ListAgentDesignation?: Array<string>;
    ListingTerms?: Array<string>;
    LockBoxType?: Array<string>;
    LotFeatures?: Array<string>;
    OperatingExpenseIncludes?: Array<string>;
    OtherEquipment?: Array<string>;
    OtherStructures?: Array<string>;
    OwnerPays?: Array<string>;
    ParkingFeatures?: Array<string>;
    PatioAndPorchFeatures?: Array<string>;
    PetsAllowed?: Array<string>;
    PoolFeatures?: Array<string>;
    Possession?: Array<string>;
    PossibleUse?: Array<string>;
    PowerProductionType?: Array<string>;
    PropertyCondition?: Array<string>;
    RentIncludes?: Array<string>;
    RoadFrontageType?: Array<string>;
    RoadResponsibility?: Array<string>;
    RoadSurfaceType?: Array<string>;
    Roof?: Array<string>;
    RoomType?: Array<string>;
    SecurityFeatures?: Array<string>;
    Sewer?: Array<string>;
    ShowingContactType?: Array<string>;
    ShowingDays?: Array<string>;
    ShowingRequirements?: Array<string>;
    Skirt?: Array<string>;
    SpaFeatures?: Array<string>;
    SpecialLicenses?: Array<string>;
    SpecialListingConditions?: Array<string>;
    StructureType?: Array<string>;
    SyndicateTo?: Array<string>;
    TaxStatusCurrent?: Array<string>;
    TenantPays?: Array<string>;
    UnitTypeType?: Array<string>;
    Utilities?: Array<string>;
    Vegetation?: Array<string>;
    View?: Array<string>;
    WaterSource?: Array<string>;
    WaterfrontFeatures?: Array<string>;
    WindowFeatures?: Array<string>;
    AboveGradeFinishedAreaSource?: string;
    AboveGradeFinishedAreaUnits?: string;
    AssociationFee2Frequency?: string;
    AssociationFeeFrequency?: string;
    BelowGradeFinishedAreaSource?: string;
    BelowGradeFinishedAreaUnits?: string;
    BuildingAreaSource?: string;
    BuildingAreaUnits?: string;
    BuyerAgencyCompensationType?: string;
    BuyerAgentAOR?: string;
    BuyerOfficeAOR?: string;
    City?: string;
    CoBuyerAgentAOR?: string;
    CoBuyerOfficeAOR?: string;
    CoListAgentAOR?: string;
    CoListOfficeAOR?: string;
    CommonInterest?: string;
    Concessions?: string;
    Country?: string;
    CountyOrParish?: string;
    DirectionFaces?: string;
    DistanceToBusUnits?: string;
    DistanceToElectricUnits?: string;
    DistanceToFreewayUnits?: string;
    DistanceToGasUnits?: string;
    DistanceToPhoneServiceUnits?: string;
    DistanceToPlaceofWorshipUnits?: string;
    DistanceToSchoolBusUnits?: string;
    DistanceToSchoolsUnits?: string;
    DistanceToSewerUnits?: string;
    DistanceToShoppingUnits?: string;
    DistanceToStreetUnits?: string;
    DistanceToWaterUnits?: string;
    ElementarySchool?: string;
    ElementarySchoolDistrict?: string;
    ElevationUnits?: string;
    FarmLandAreaSource?: string;
    FarmLandAreaUnits?: string;
    Furnished?: string;
    HighSchool?: string;
    HighSchoolDistrict?: string;
    LandLeaseAmountFrequency?: string;
    LeasableAreaUnits?: string;
    LeaseAmountFrequency?: string;
    LeaseTerm?: string;
    ListAOR?: string;
    ListAgentAOR?: string;
    ListOfficeAOR?: string;
    ListingAgreement?: string;
    ListingService?: string;
    LivingAreaSource?: string;
    LivingAreaUnits?: string;
    LotDimensionsSource?: string;
    LotSizeSource?: string;
    LotSizeUnits?: string;
    MLSAreaMajor?: string;
    MLSAreaMinor?: string;
    MajorChangeType?: string;
    MiddleOrJuniorSchool?: string;
    MiddleOrJuniorSchoolDistrict?: string;
    MlsStatus?: string;
    MobileDimUnits?: string;
    OccupantType?: string;
    OwnershipType?: string;
    PostalCity?: string;
    PropertySubType?: string;
    PropertyType?: string;
    StandardStatus?: string;
    StateOrProvince?: string;
    StreetDirPrefix?: string;
    StreetDirSuffix?: string;
    StreetSuffix?: string;
    SubAgencyCompensationType?: string;
    TransactionBrokerCompensationType?: string;
    UnitsFurnished?: string;
    YearBuiltSource?: string;
    DocumentsChangeTimestamp?: string;
    MajorChangeTimestamp?: string;
    ModificationTimestamp?: string;
    OffMarketTimestamp?: string;
    OnMarketTimestamp?: string;
    OriginalEntryTimestamp?: string;
    PendingTimestamp?: string;
    PhotosChangeTimestamp?: string;
    PriceChangeTimestamp?: string;
    ShowingEndTime?: string;
    ShowingStartTime?: string;
    StatusChangeTimestamp?: string;
    VideosChangeTimestamp?: string;
    BuyerAgent?: Member;
    CoBuyerAgent?: Member;
    CoListAgent?: Member;
    ListAgent?: Member;
    BuyerOffice?: Office;
    CoBuyerOffice?: Office;
    CoListOffice?: Office;
    ListOffice?: Office;
    OriginatingSystem?: OUID;
    SourceSystem?: OUID;
    ListTeam?: Teams;
    BuyerTeam?: Teams;
    ContactListings?: Array<ContactListings>;
    Favorites?: Array<Favorite>;
    OpenHouse?: Array<OpenHouse>;
    GreenBuildingVerifications?: Array<PropertyGreenVerification>;
    PowerProductions?: Array<PropertyPowerProduction>;
    Rooms?: Array<PropertyRooms>;
    UnitTypes?: Array<PropertyUnitTypes>;
    Shares?: Array<Share>;
    Showings?: Array<Showing>;
    Transactions?: Array<Transaction>;
    Media?: Array<Media>;
};
